# $Revision: 1.24 $, $Date: 2011/03/01 06:29:00 $
%include	/usr/lib/rpm/macros.php
%define		_class		Crypt
%define		_subclass	HMAC
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - A class to calculate RFC 2104 compliant hashes
Summary(pl.UTF-8):	%{_pearname} - klasa licząca hasze zgodne z RFC 2104
Name:		php-pear-%{_pearname}
Version:	1.0.1
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	7c9781e32d23ff35754fd7261a3aad39
URL:		http://pear.php.net/package/Crypt_HMAC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Crypt_HMAC-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A class to calculate RFC 2104 compliant hashes.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasa licząca hasze zgodne z RFC 2104.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_HMAC.spec,v $
Revision 1.24  2011/03/01 06:29:00  glen
- release 4

Revision 1.23  2011/01/23 01:03:04  sparky
- dropped -tests subpackage

Revision 1.22  2008/04/01 20:30:06  qboosh
- unified spelling

Revision 1.21  2008-01-31 12:16:48  glen
- rel 3

Revision 1.20  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.18  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.17  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.16  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.15  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.14  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.13  2005/10/05 18:31:31  glen
- rel 2

Revision 1.12  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.11  2005/09/19 21:43:39  glen
- integer BR

Revision 1.10  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.9  2005/02/21 07:53:54  adamg
- updated to 1.0.1

Revision 1.8  2005/02/20 07:49:35  adamg
- updated to 1.0.0

Revision 1.7  2004/12/03 21:57:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.6  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.5  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.4  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.3  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.2  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/20 10:00:32  blues
- initial release
